#!/bin/sh

if [ $# -lt 1 ]
then
	echo "Must give a command"
	echo "COMMAND         DESCRIPTION
show all 	Prints all common settings
show time 	Prints all common time settings
show ups 	Prints all common UPS settings
show data 	Prints selected data variables w/CRC check
EEPROM RESET 	Resets all common EEPROM variables
EEPROM SAVE 	Saves all common settings to EEPROM
UPS-REBOOT 	Reboots UPS"
	exit
fi

echo "$1 $2 $3" > /run/shm/mopower/COMMAND

while [ ! -f /run/shm/mopower/COMMAND.out ]
do
	sleep .1
done
sleep .2

cat /run/shm/mopower/COMMAND.out
sudo rm /run/shm/mopower/COMMAND.out
